#!/bin/sh

echo "================== 设备信息报告 =================="

# 主机名和架构
echo "🔧 主机名: $(uname -n)"
echo "🔧 系统架构: $(uname -m)"
echo "🔧 内核版本: $(uname -r)"

echo ""
echo "========= 🧠 CPU 使用情况 ========="
top -bn1 | grep -E "^CPU|^%Cpu|^%cpu" || top -n1 | grep "CPU"

echo ""
echo "========= 💾 内存使用情况 ========="
free -h

echo ""
echo "========= 📦 存储空间分布 ========="
df -h | grep -E "^/dev"

echo ""
echo "========= 🌐 网卡信息 ========="

for iface in $(ls /sys/class/net | grep -v lo); do
    echo "接口: $iface"
    ip addr show "$iface" | awk '/inet / {print "  IPv4: " $2}'
    ip -6 addr show "$iface" | awk '/inet6 / {print "  IPv6: " $2}'
    MAC=$(cat /sys/class/net/$iface/address)
    STATE=$(cat /sys/class/net/$iface/operstate)
    echo "  MAC 地址: $MAC"
    echo "  状态: $STATE"
    echo ""
done

echo "============== 完毕 =============="
